add phabricator.vyos.net paste app as valid destination for show tech-support save-uncompressed
Closed, ResolvedPublic

Description

add phabricator.vyos.net paste app
as a valid destination for

show tech-support save-uncompressed

Idea is to have possibility submit info to paste app with visibility limited to author and support/maintainers teams

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
This request is:
Service Request
syncer created this task.Jul 2 2017, 11:35 AM
syncer created this object with edit policy "Custom Policy".

This requires that VyOS has either some kind of token that allows him to post-as user or the user credentials for pastebin. PHabricator Bots could be perhaps leveraged.

syncer added a comment.Jul 3 2017, 6:13 PM

basic idea is to give user enter their credentials on the fly rather than store them in the config

syncer added a comment.Jul 3 2017, 6:14 PM

default policy for paste which limits visibility of paste to author and maintainers(+ support team)

could you create a phabricator test paste with the correct permission settings as example. Next step is to programmaticly create the same and then integrate w/ vyos.

syncer added a comment.Jul 4 2017, 6:25 PM

Currently,
you need to add yourself to the subscribers, rest will be added by default policy
i think we can do that via conduit api
https://secure.phabricator.com/book/phabricator/article/conduit_edit/

EwaldvanGeffen added a comment.EditedJul 22 2017, 1:13 AM

https://secure.phabricator.com/conduit/method/paste.edit/
title
language
text
projects.add
subscribers.add

possibly we should enable the submission script to include a case number or something to automate mapping between objects within phabricator. I think we could automate posting the pastebin file into the issue thread by a bot or something.

higebu added a subscriber: higebu.Aug 20 2017, 3:22 PM

@syncer I think we can remove this task from 1.1.8 backlog, because this is new feature.

It's new feature, but still will need to implement it for support service purpose in 1.1.x

Will be basically simple curl wrapper

Assigned to Kim

UnicronNL added a subscriber: Unicron.

I just noticed your pastes. We need to filter out the set password commands as they will contain plaintext passwords. This could be solved by making the command interactive (it asks for the password to be typed in) similarly to other platforms. There might be other stuff that requires filtering-out history or refactoring.

@syncer not in the config dump, in the bash-history that's included.

Well is part of show tech-support, output of which must be reviewed,
but i agree

UnicronNL closed this task as Resolved.